<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: bit_hacks/bit_hacks.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_64eb892c6bd55b82613c6a491afc7b54.html">bit_hacks</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">bit_hacks.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="bit__hacks_8h_source.html">bit_hacks.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for bit_hacks.c:</div>
<div class="dyncontent">
<div class="center"><img src="bit__hacks_8c__incl.png" border="0" usemap="#bit__hacks_2bit__hacks_8c" alt=""/></div>
<map name="bit__hacks_2bit__hacks_8c" id="bit__hacks_2bit__hacks_8c">
<area shape="rect" id="node2" href="bit__hacks_8h.html" title="bit_hacks.h" alt="" coords="35,80,125,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9e5edb66844fb07c735dab608d4e775f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="bit__hacks_8h.html#ad56990640efca96116337c655ff20984">BIT_HACKS_SPEC</a> uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_8c.html#a9e5edb66844fb07c735dab608d4e775f">reverse_uint8_bits</a> (uint8_t value)</td></tr>
<tr class="separator:a9e5edb66844fb07c735dab608d4e775f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcfa1fe17a4acc518ca5065fb32d60dc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="bit__hacks_8h.html#ad56990640efca96116337c655ff20984">BIT_HACKS_SPEC</a> uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_8c.html#afcfa1fe17a4acc518ca5065fb32d60dc">reverse_uint32_bits</a> (uint32_t value)</td></tr>
<tr class="separator:afcfa1fe17a4acc518ca5065fb32d60dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="afcfa1fe17a4acc518ca5065fb32d60dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcfa1fe17a4acc518ca5065fb32d60dc">&#9670;&nbsp;</a></span>reverse_uint32_bits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="bit__hacks_8h.html#ad56990640efca96116337c655ff20984">BIT_HACKS_SPEC</a> uint32_t reverse_uint32_bits </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reverse order of bits of an uint32_t value. </p>

</div>
</div>
<a id="a9e5edb66844fb07c735dab608d4e775f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e5edb66844fb07c735dab608d4e775f">&#9670;&nbsp;</a></span>reverse_uint8_bits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="bit__hacks_8h.html#ad56990640efca96116337c655ff20984">BIT_HACKS_SPEC</a> uint8_t reverse_uint8_bits </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reverse order of bits of an uint8_t value. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
